package com.isidroid.spot.data.source.local.source

import com.isidroid.spot.model.PrintProfile
import com.isidroid.spot.data.source.local.dao.PrintProfileDao
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class PrintProfileLocalSource @Inject constructor(private val dao: PrintProfileDao) : PrintProfileDao {
    override fun findPrintProfiles(vararg ids: String) = dao.findPrintProfiles(*ids)
    override fun insert(vararg printProfile: PrintProfile) = dao.insert(*printProfile)
    override fun delete(vararg printProfile: PrintProfile) = dao.delete(*printProfile)
    override fun findProfilesInSpots(ids: List<String>) = dao.findProfilesInSpots(ids)
}